Unable to Run Projects Built in Visual Studio 2005 an 2008.
DoubleM (Moti M.)
Haifa,

Feb 21, 2013
13 Posts

Unable to run projects built in Visual studio 2005 an 2008.

Recently I updated Ateasy to version 8.
When I try to debug any class library built in VS 2005 I receive the following error message from Visual studio:
  "Error while trying to run project :
   Unable to start program: 'C:\program files\Ateasy\atesy.exe.
   Operation not supported. Unknown error:0x8013134b"
When I try to debug any class library built in VS 2008 I receive the following error message from Visual studio:
  "Error while trying to run project :
   Unable to start program: 'C:\program files\Ateasy\atesy.exe.
   The debugger's protocol is incompatible with the debbugee."
When I debug  any class library built in VS 2010, everything is OK: Ateasy is loading and running.
Before updating to Ateasy ver 8, I worked with Ateasy ver 6 and there were no errors when debuging different projects built in different versions of VS.

Solution Available
DrATEasy (Ron Y.)
Mission Viejo,

Feb 21, 2013
235 Posts

Re: Unable to run projects built in Visual studio 2005 an 2008.

Did you look the following post?

https://www.marvintest.com/Forums/thread.aspx?ID=203

Do you have the ATEasy.exe.config in the ATEasy folder? Maybe that is the problem.

The managed debugger interface was changed in .NET version 4. You cannot debug a .NET 4 assembly with the VS2008/2005 debugger. The config file will tell to use v4.0 .net.

Try to remove the .config file and re-run or modify for the .NET you want to use.



Please Note
You need to have a M@GIC account to participate in the Forums.
Not yet registered on our website? Click here to register today!

All content, information and opinions presented on the Marvin Test Solutions User Forums are those of the authors of the posts and messages and not Marvin Test Solutions'. All attachments and files are downloaded at your own risk. [Read More]